## kde-baseapps 4.14.1

=== debian/changelog ===
kde-baseapps (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:41:02 +0200

kde-baseapps (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:42:32 +0200

kde-baseapps (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:27:30 +0200

kde-baseapps (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:58:17 +0200

kde-baseapps (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Add appdata to dolphin.install
  * Add build-dep on libbaloowidgets-dev

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 17:54:47 +0200

kde-baseapps (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with Debian, remaining changes:
   - Make konqueror.postinst install with alternates score 30 not 100
   - Add kubuntu_folderview_livecd_directory.diff,
     kubuntu_folderwidget_drawing.diff, kubuntu_install_flash.diff

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:47:37 +0100

kde-baseapps (4:4.13.1-1) experimental; urgency=medium

  [ Adrien Grellier ]
  * typo in package's description (Closes: #747152)

  [ Maximiliano Curia ]
  * New upstream release.
  * Update build dependencies.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 27 May 2014 10:12:41 +0200

kde-baseapps (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:23:49 +0200

kde-baseapps (4:4.12.3-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Merge changes from 4:4.11.5-2.

  [ Maximiliano Curia ]
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:05:34 +0100

kde-baseapps (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:32 +0100

kde-baseapps (4:4.11.5-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Feb 2014 17:55:49 +0100

kde-baseapps (4:4.11.5-1) unstable; urgency=low

  * New upstream release.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make konqueror recommend kpart-webkit. Upstream recommends using the
    webkit based backend and it seems that, if available, it's the default
    one. So adding it as recommend will make most users use it while allowing
    to only install khtml for those who want it (Closes: #735057).

  [ Maximiliano Curia ]
  * Enable build failures on missing symbols.
  * Add autopkgtests.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add abi-compliance-checker info.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 24 Jan 2014 13:17:34 -0300

=== debian/control ===
Source: kde-baseapps
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-dev,
               cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.1),
               libdlrestrictions-dev (>= 0.14),
               libglib2.0-dev,
               libkactivities-dev (>= 4:4.13),
               libkfilemetadata-dev,
               libphonon-dev (>= 4:4.3.0),
               libqimageblitz-dev (>= 1:0.0.4-2),
               libtidy-dev,
               libxkbfile-dev,
               libxrender-dev,
               libxt-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               zlib1g-dev,
               libbaloowidgets-dev
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-baseapps
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-baseapps
X-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kde-baseapps.git
X-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kde-baseapps.git

Package: kde-baseapps
Architecture: all
Depends: dolphin (>= ${source:Version}),
         kde-baseapps-bin (>= ${source:Version}),
         kdepasswd (>= ${source:Version}),
         kfind (>= ${source:Version}),
         konqueror (>= ${source:Version}),
         konsole,
         kwrite,
         plasma-widget-folderview (>= ${source:Version}),
         ${misc:Depends}
Recommends: konqueror-nsplugins (>= ${source:Version})
Breaks: kdebase-apps (<< 4:4.7.2)
Replaces: kdebase-apps (<< 4:4.7.2)
Description: base applications from the official KDE release (meta-package)
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package provides core applications for the KDE 4 desktop.

Package: kdebase-apps
Section: oldlibs
Priority: extra
Architecture: all
Depends: kde-baseapps, ${misc:Depends}
Description: Transitional package for kde-baseapps
 This transitional package takes care of pulling in the new kde-baseapps
 package and can safely be removed after installation.

Package: dolphin
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ruby
Suggests: kdesdk-dolphin-plugins
Description: file manager
 Dolphin is the default file manager in the KDE Plasma Workspaces, intended
 to be both powerful and easy to use.
 .
 Features include:
   Customisable sidebars
   "Breadcrumb" navigation
   View properties remembered for each folder
   Split views
   Network transparency
   Undo/redo functionality
   Ratings, comments, and tags
 .
 This package is part of the KDE base applications module.

Package: kde-baseapps-bin
Architecture: any
Depends: kde-baseapps-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kcontrol, kdebase-bin (<< 4:4.7.2), kdesktop
Replaces: kdebase-bin (<< 4:4.7.2)
Description: core binaries for the KDE base applications
 This package contains miscellaneous programs needed by other KDE
 applications, particularly those in the KDE base module.
 .
 This package is part of the KDE base applications module.

Package: kdebase-bin
Section: oldlibs
Priority: extra
Architecture: all
Depends: kde-baseapps-bin, ${misc:Depends}
Description: Transitional package for new kde-baseapps
 This transitional package can be safely removed after installation.

Package: kde-baseapps-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kdebase-data (<< 4:4.7.2)
Replaces: kdebase-data (<< 4:4.7.2)
Description: shared data files for the KDE base applications
 This package contains the architecture-independent shared data files needed
 for a basic KDE 4 desktop installation.
 .
 This package is part of the KDE 4 base applications module.

Package: kdepasswd
Section: utils
Architecture: any
Depends: kde-baseapps-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: graphical password changing utility
 kdepasswd allows users to change their password, user icon, and other
 information.  A variety of user icons are included.
 .
 This package is part of the KDE base applications module.

Package: kfind
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: file search utility
 KFind can be used to find files and directories on your system.
 .
 This package is part of the KDE base applications module.

Package: konqueror
Section: web
Architecture: any
Provides: info-browser, man-browser, www-browser
Depends: install-info,
         kde-baseapps-bin (= ${binary:Version}),
         kde-baseapps-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: konq-plugins (>= 4:4.1~)
Recommends: dolphin,
            kfind,
            konqueror-nsplugins (= ${binary:Version}),
            kpart-webkit
Breaks: kde-baseapps-data (<< 4:4.8.4), kdebase-data (<< 4:4.7.2)
Replaces: kde-baseapps-data (<< 4:4.8.4), kdebase-data (<< 4:4.7.2)
Description: advanced file manager, web browser and document viewer
 Konqueror is the KDE web browser and advanced file manager.
 .
 Konqueror is a standards-compliant web browser, supporting HTML 4.01, Java,
 JavaScript, CSS3, and Netscape plugins such as Flash.
 .
 It supports advanced file management on local UNIX filesystems, with flexible
 views, network transparency, and embedded file viewing.
 .
 It is the canvas for many KDE technologies, from remote file access via KIO to
 component embedding via the KParts object interface, making it one of the most
 customizable applications available.
 .
 This package is part of the KDE base applications module.

Package: konqueror-nsplugins
Section: web
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: gtk-qt-engine (<< 1:1.0)
Description: Netscape plugin support for Konqueror
 Konqueror is the KDE web browser and advanced file manager.
 .
 This package provides a KDE component for enabling the use of
 Netscape/Mozilla/etc browser plugins (such as Adobe Flash) within Konqueror.
 .
 This package is part of the KDE base applications module.

Package: konq-plugins
Architecture: any
Depends: konqueror (>= 4:4.1.0),
         libjpeg-progs,
         python,
         ${misc:Depends},
         ${shlibs:Depends}
Enhances: konqueror
Recommends: imagemagick
Description: plugins for Konqueror, the KDE file/web/document browser
 This package contains a variety of useful plugins for Konqueror, the
 file manager, web browser and document viewer for KDE.  Many of these
 plugins will appear in Konqueror's Tools menu.
 .
 Web navigation plugins:
  - Akregator feed icon: allows one to add a feed to Akregator from Konqueror
  - Auto Refresh: refresh a webpage at a given rate
  - Bookmarklets: enables the use of bookmarklets, bookmarks containing
    JavaScript code
  - Document Relations: displays the document relations of a document
  - DOM Tree Viewer: view the DOM tree of the current page
  - KHTML Settings: fast way to change the JavaScript/images/cookies settings
  - Microformat Icon: displays an icon in the statusbar if the page contains
    a microformat
  - Search Bar: launches web searches from the Konqueror's toolbar
  - Translate: language translation for the current page using Babelfish
  - UserAgent Changer: quick switch of the UserAgent used for the current site
  - Website Validators: CSS and HTML validation tools
  - Web Archiver: creates archives of websites
  - Crash manager: restores your opened tabs if Konqueror crashes (disabled
    by default as Konqueror has this feature builtin)
 .
 File management plugins:
  - Image Gallery: an easy way to generate a HTML image gallery
  - File Size View (kpart): a proportional view of directories and files
    based on file size
  - Transform Image (service menu): rotate and flip images
  - Convert To (service menu): convert and image to another format
  - Directory Filter (dolphin): filter directory views
 .
 This package is part of the KDE base applications module.

#Package: konsole
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Provides: x-terminal-emulator
#Breaks: yakuake (<< 2.9.0)
#Description: X terminal emulator
# Konsole is a terminal emulator built on the KDE Platform. It can contain
# multiple terminal sessions inside one window using detachable tabs.
# .
# Konsole supports powerful terminal features, such as customizable schemes,
# saved sessions, and output monitoring.
# .
# This package is part of the KDE base applications module.

#Package: kwrite
#Section: editors
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Description: simple graphical text editor
# KWrite is a simple text editor built on the KDE Platform. It uses the Kate
# editor component, so it supports powerful features such as flexible syntax
# highlighting, automatic indentation, and numerous other text tools.
# .
# This package is part of the KDE base applications module.

Package: libkonq5abi1
Section: libs
Architecture: any
X-Debian-ABI: 1
Depends: libkonq-common (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: core libraries for Konqueror
 This package contains libraries used by several KDE 4 applications,
 particularly Konqueror.
 .
 This package is part of the KDE base applications module.

Package: libkonq-common
Section: libs
Architecture: any
Depends: libkonq5-templates, ${misc:Depends}, ${shlibs:Depends}
Replaces: libkonq5 (<< 4:4.4.5-3)
Breaks: libkonq5 (<< 4:4.4.5-3)
Description: core Konqueror library - support files
 This package contains plugins and data files used by the core Konqueror
 library (libkonq).
 .
 This package is part of the KDE base applications module.

Package: libkonq5-templates
Section: libs
Architecture: all
Replaces: kdesktop
Breaks: kdesktop
Depends: ${misc:Depends}
Description: data files for the Konqueror libraries
 This package contains data files used by the Konqueror libraries.
 These files are also provided by the 'kdesktop' package from KDE 3.
 .
 This package is part of the KDE base applications module.

Package: libkonq5-dev
Section: libdevel
Architecture: any
Depends: libkonq5abi1 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libkonq5abi1}
Description: development files for the Konqueror libraries
 This package contains development files for building software that uses the
 Konqueror libraries.
 .
 This package is part of the KDE base applications module.

Package: libkonqsidebarplugin4a
Section: libs
Architecture: any
X-Debian-ABI: 0
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: konqueror sidebar plugin library
 This package contains the base library for Konqueror sidebar plugins.
 .
 This package is part of the KDE base applications module.

Package: libkonqsidebarplugin-dev
Section: libdevel
Architecture: any
Depends: libkonqsidebarplugin4a (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libkonqsidebarplugin4a}
Description: konqueror sidebar plugin library development files

## kde-baseapps 4.14.2

=== doc/CMakeLists.txt ===
add_subdirectory(dolphin)
add_subdirectory(kfind)
add_subdirectory(konqueror)
add_subdirectory(kdepasswd)

=== kdialog/CMakeLists.txt ===
set(kdialog_SRCS
    kdialog.cpp
    widgets.cpp
    klistboxdialog.cpp
    progressdialog.cpp)

qt4_add_dbus_adaptor( kdialog_SRCS org.kde.kdialog.ProgressDialog.xml progressdialog.h KProgressDialog )

kde4_add_executable(kdialog ${kdialog_SRCS})

# Need libkfile due to the code that adjusts the geometry of the KDirSelectDialog
target_link_libraries(kdialog ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS})
if (Q_WS_X11)
  target_link_libraries(kdialog ${X11_X11_LIB})
  if (QT_QTDBUS_FOUND)
    target_link_libraries(kdialog ${QT_QTDBUS_LIBRARY})
  endif (QT_QTDBUS_FOUND)
endif (Q_WS_X11)

install(TARGETS kdialog ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.kdialog.ProgressDialog.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )

=== doc/konqueror/CMakeLists.txt ===
########### install files ###############
#

kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en)
kde4_create_manpage(man-kbookmarkmerger.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

=== dolphin/src/CMakeLists.txt ===
macro_optional_find_package(Baloo)
set_package_properties(Baloo PROPERTIES DESCRIPTION "Baloo Core libraries"
                       URL "http://www.kde.org"
                       TYPE OPTIONAL
                       PURPOSE "For adding desktop-wide search and tagging support to dolphin"
                      )

macro_optional_find_package(BalooWidgets)
set_package_properties(BalooWidgets PROPERTIES DESCRIPTION "Baloos Widgets"
                       URL "http://www.kde.org"
                       TYPE OPTIONAL
                      )

macro_optional_find_package(KFileMetaData)
set_package_properties(KFileMetaData PROPERTIES
                       URL "https://projects.kde.org/kfilemetadata"
                       TYPE OPTIONAL
                       PURPOSE "For accessing file metadata labels"
                      )

if (Baloo_FOUND AND BalooWidgets_FOUND AND KFileMetaData_FOUND)
    set(HAVE_BALOO TRUE)
endif()

configure_file(config-baloo.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-baloo.h )

macro_bool_to_01(X11_Xrender_FOUND HAVE_XRENDER)
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h )

include_directories( ${KACTIVITIES_INCLUDE_DIRS} ${CMAKE_CURRENT_BINARY_DIR} )

if(HAVE_BALOO)
  include_directories(${BALOO_INCLUDE_DIR} ${BALOO_WIDGETS_INCLUDE_DIR} ${KFILEMETADATA_INCLUDE_DIR})
endif()

add_subdirectory(tests)

########### next target ###############

set(dolphinprivate_LIB_SRCS
    kitemviews/kfileitemlistview.cpp
    kitemviews/kfileitemlistwidget.cpp
    kitemviews/kfileitemmodel.cpp
    kitemviews/kfileitemmodelrolesupdater.cpp
    kitemviews/kitemlistcontainer.cpp
    kitemviews/kitemlistcontroller.cpp
    kitemviews/kitemlistgroupheader.cpp
    kitemviews/kitemlistheader.cpp
    kitemviews/kitemlistselectionmanager.cpp
    kitemviews/kitemliststyleoption.cpp
    kitemviews/kitemlistview.cpp
    kitemviews/kitemlistviewaccessible.cpp
    kitemviews/kitemlistwidget.cpp
    kitemviews/kitemmodelbase.cpp
    kitemviews/kitemset.cpp
    kitemviews/kstandarditem.cpp
    kitemviews/kstandarditemlistgroupheader.cpp
    kitemviews/kstandarditemlistwidget.cpp
    kitemviews/kstandarditemlistview.cpp
    kitemviews/kstandarditemmodel.cpp
    kitemviews/private/kdirectorycontentscounter.cpp
    kitemviews/private/kdirectorycontentscounterworker.cpp
    kitemviews/private/kfileitemclipboard.cpp
    kitemviews/private/kfileitemmodeldirlister.cpp
    kitemviews/private/kfileitemmodelfilter.cpp
    kitemviews/private/kitemlistheaderwidget.cpp
    kitemviews/private/kitemlistkeyboardsearchmanager.cpp
    kitemviews/private/kitemlistroleeditor.cpp
    kitemviews/private/kitemlistrubberband.cpp
    kitemviews/private/kitemlistselectiontoggle.cpp
    kitemviews/private/kitemlistsizehintresolver.cpp
    kitemviews/private/kitemlistsmoothscroller.cpp
    kitemviews/private/kitemlistviewanimation.cpp
    kitemviews/private/kitemlistviewlayouter.cpp
    kitemviews/private/kpixmapmodifier.cpp
    settings/additionalinfodialog.cpp
    settings/applyviewpropsjob.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewpropertiesdialog.cpp
    settings/viewpropsprogressinfo.cpp
    views/dolphinfileitemlistwidget.cpp
    views/dolphinitemlistview.cpp
    views/dolphinnewfilemenuobserver.cpp
    views/dolphinremoteencoding.cpp
    views/dolphinview.cpp
    views/dolphinviewactionhandler.cpp
    views/draganddrophelper.cpp
    views/renamedialog.cpp
    views/tooltips/filemetadatatooltip.cpp
    views/tooltips/tooltipmanager.cpp
    views/versioncontrol/updateitemstatesthread.cpp
    views/versioncontrol/versioncontrolobserver.cpp
    views/viewmodecontroller.cpp
    views/viewproperties.cpp
    views/zoomlevelinfo.cpp
    dolphinremoveaction.cpp
    dolphinnewfilemenu.cpp
)

if(HAVE_BALOO)
    set(dolphinprivate_LIB_SRCS
        ${dolphinprivate_LIB_SRCS}
        kitemviews/private/kbaloorolesprovider.cpp
    )
endif()

kde4_add_kcfg_files(dolphinprivate_LIB_SRCS
    settings/dolphin_compactmodesettings.kcfgc
    settings/dolphin_directoryviewpropertysettings.kcfgc
    settings/dolphin_detailsmodesettings.kcfgc
    settings/dolphin_iconsmodesettings.kcfgc
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc
)

kde4_add_library(dolphinprivate SHARED ${dolphinprivate_LIB_SRCS})

target_link_libraries(
    dolphinprivate
    ${KDE4_KFILE_LIBS}
    konq
    ${KDE4_KNEWSTUFF3_LIBS}
)

if(HAVE_BALOO)
    target_link_libraries(
        dolphinprivate
        ${BALOO_LIBRARIES}
        ${BALOO_WIDGETS_LIBRARY}
        ${KFILEMETADATA_LIBRARY}
    )
endif()

if(X11_Xrender_FOUND)
    target_link_libraries(dolphinprivate ${X11_Xrender_LIB})
endif(X11_Xrender_FOUND)

target_link_libraries(dolphinprivate ${KDE4_PLASMA_LIBS})

set_target_properties(dolphinprivate PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install(TARGETS dolphinprivate  ${INSTALL_TARGETS_DEFAULT_ARGS})

##########################################

set(dolphinpart_SRCS
   dolphinpart.cpp
)

# Add dolphinpart_ext.cpp conditionally, only with KDE > 4.9.1.
if (${KDE_VERSION} VERSION_GREATER "4.9.1")
set(dolphinpart_SRCS
    ${dolphinpart_SRCS}
    dolphinpart_ext.cpp)
endif (${KDE_VERSION} VERSION_GREATER "4.9.1")

kde4_add_plugin(dolphinpart ${dolphinpart_SRCS})

target_link_libraries(dolphinpart dolphinprivate konq ${KDE4_KPARTS_LIBS} ${KDE4_KFILE_LIBS})

install(TARGETS dolphinpart DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES dolphinpart.rc DESTINATION ${DATA_INSTALL_DIR}/dolphinpart)
install(FILES dolphinpart.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install(FILES views/versioncontrol/fileviewversioncontrolplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

##########################################

set(dolphin_SRCS
    dolphinapplication.cpp
    dolphindockwidget.cpp
    dolphinmainwindow.cpp
    dolphinviewcontainer.cpp
    dolphincontextmenu.cpp
    dolphinrecenttabsmenu.cpp
    dolphintabpage.cpp
    filterbar/filterbar.cpp
    main.cpp
    panels/information/filemetadataconfigurationdialog.cpp
    panels/information/informationpanel.cpp
    panels/information/informationpanelcontent.cpp
    panels/information/pixmapviewer.cpp
    panels/information/phononwidget.cpp
    panels/places/placespanel.cpp
    panels/places/placesitem.cpp
    panels/places/placesitemeditdialog.cpp
    panels/places/placesitemlistgroupheader.cpp
    panels/places/placesitemlistwidget.cpp
    panels/places/placesitemmodel.cpp
    panels/places/placesitemsignalhandler.cpp
    panels/places/placesview.cpp
    panels/panel.cpp
    panels/folders/foldersitemlistwidget.cpp
    panels/folders/treeviewcontextmenu.cpp
    panels/folders/folderspanel.cpp
    search/dolphinfacetswidget.cpp
    search/dolphinsearchbox.cpp
    settings/general/behaviorsettingspage.cpp
    settings/general/configurepreviewplugindialog.cpp
    settings/general/confirmationssettingspage.cpp
    settings/general/generalsettingspage.cpp
    settings/general/previewssettingspage.cpp
    settings/general/statusbarsettingspage.cpp
    settings/dolphinsettingsdialog.cpp
    settings/navigation/navigationsettingspage.cpp
    settings/services/servicessettingspage.cpp
    settings/settingspagebase.cpp
    settings/serviceitemdelegate.cpp
    settings/servicemodel.cpp
    settings/startup/startupsettingspage.cpp
    settings/trash/trashsettingspage.cpp
    settings/viewmodes/dolphinfontrequester.cpp
    settings/viewmodes/viewsettingspage.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewmodes/viewsettingstab.cpp
    statusbar/dolphinstatusbar.cpp
    statusbar/mountpointobserver.cpp
    statusbar/mountpointobservercache.cpp
    statusbar/spaceinfoobserver.cpp
    statusbar/statusbarspaceinfo.cpp
    views/zoomlevelinfo.cpp
)

kde4_add_kcfg_files(dolphin_SRCS
    panels/folders/dolphin_folderspanelsettings.kcfgc
    panels/information/dolphin_informationpanelsettings.kcfgc
    panels/places/dolphin_placespanelsettings.kcfgc
    settings/dolphin_compactmodesettings.kcfgc
    settings/dolphin_detailsmodesettings.kcfgc
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_iconsmodesettings.kcfgc
    search/dolphin_searchsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc
)

if(NOT WIN32)
   set(dolphin_SRCS ${dolphin_SRCS} panels/terminal/terminalpanel.cpp)
endif(NOT WIN32)

kde4_add_app_icon(dolphin_SRCS "${KDE4_ICON_INSTALL_DIR}/oxygen/*/apps/system-file-manager.png")

kde4_add_kdeinit_executable(dolphin ${dolphin_SRCS})

target_link_libraries(kdeinit_dolphin
    ${KDE4_KDEPRINT_LIBS}
    ${KDE4_KFILE_LIBS}
    ${KDE4_KPARTS_LIBS}
    ${KDE4_KCMUTILS_LIBRARY}
    konq
    dolphinprivate
    knewstuff3
    ${KDE4_SOLID_LIBS}
    ${KDE4_PHONON_LIBS}
)

if(HAVE_BALOO)
    target_link_libraries(kdeinit_dolphin
        ${BALOO_LIBRARIES}
        ${BALOO_WIDGETS_LIBRARY}
    )
endif()

if (KActivities_FOUND)
    target_link_libraries(
        kdeinit_dolphin
        ${KACTIVITIES_LIBRARY}
    )
endif (KActivities_FOUND)

install(TARGETS kdeinit_dolphin ${INSTALL_TARGETS_DEFAULT_ARGS})
install(TARGETS dolphin ${INSTALL_TARGETS_DEFAULT_ARGS})

##########################################

set(kcm_dolphinviewmodes_PART_SRCS
    settings/kcm/kcmdolphinviewmodes.cpp
    settings/viewmodes/dolphinfontrequester.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewmodes/viewsettingstab.cpp
    views/zoomlevelinfo.cpp)

set(kcm_dolphinnavigation_PART_SRCS
    settings/kcm/kcmdolphinnavigation.cpp
    settings/navigation/navigationsettingspage.cpp
    settings/settingspagebase.cpp)

set(kcm_dolphinservices_PART_SRCS
    settings/kcm/kcmdolphinservices.cpp
    settings/services/servicessettingspage.cpp
    settings/settingspagebase.cpp
    settings/serviceitemdelegate.cpp
    settings/servicemodel.cpp)

set(kcm_dolphingeneral_PART_SRCS
    settings/kcm/kcmdolphingeneral.cpp
    settings/general/behaviorsettingspage.cpp
    settings/general/previewssettingspage.cpp
    settings/general/configurepreviewplugindialog.cpp
    settings/general/confirmationssettingspage.cpp
    settings/settingspagebase.cpp
    settings/serviceitemdelegate.cpp
    settings/servicemodel.cpp)

kde4_add_kcfg_files(kcm_dolphinviewmodes_PART_SRCS
    settings/dolphin_compactmodesettings.kcfgc
    settings/dolphin_directoryviewpropertysettings.kcfgc
    settings/dolphin_detailsmodesettings.kcfgc
    settings/dolphin_iconsmodesettings.kcfgc
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc
)

kde4_add_kcfg_files(kcm_dolphinnavigation_PART_SRCS
    settings/dolphin_generalsettings.kcfgc)

kde4_add_kcfg_files(kcm_dolphinservices_PART_SRCS
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc)

kde4_add_kcfg_files(kcm_dolphingeneral_PART_SRCS
    settings/dolphin_generalsettings.kcfgc)

kde4_add_plugin(kcm_dolphinviewmodes ${kcm_dolphinviewmodes_PART_SRCS})
kde4_add_plugin(kcm_dolphinnavigation ${kcm_dolphinnavigation_PART_SRCS})
kde4_add_plugin(kcm_dolphinservices ${kcm_dolphinservices_PART_SRCS})
kde4_add_plugin(kcm_dolphingeneral ${kcm_dolphingeneral_PART_SRCS})

target_link_libraries(kcm_dolphinviewmodes  ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} dolphinprivate)
target_link_libraries(kcm_dolphinnavigation  ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} dolphinprivate)
target_link_libraries(kcm_dolphinservices  ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KNEWSTUFF3_LIBRARY} dolphinprivate)
target_link_libraries(kcm_dolphingeneral ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS} dolphinprivate)

install(TARGETS kcm_dolphinviewmodes DESTINATION ${PLUGIN_INSTALL_DIR} )
install(TARGETS kcm_dolphinnavigation DESTINATION ${PLUGIN_INSTALL_DIR} )
install(TARGETS kcm_dolphinservices DESTINATION ${PLUGIN_INSTALL_DIR} )
install(TARGETS kcm_dolphingeneral DESTINATION ${PLUGIN_INSTALL_DIR} )

#########################################

set(kio_search_PART_SRCS

=== konq-plugins/searchbar/CMakeLists.txt ===
project (searchbar)

add_subdirectory( icons )
add_subdirectory( opensearch )

########### next target ###############

set(searchbarplugin_PART_SRCS
    searchbar.cpp
    OpenSearchManager.cpp
    SuggestionEngine.cpp
    WebShortcutWidget.cpp
    opensearch/OpenSearchEngine.cpp
    opensearch/OpenSearchReader.cpp
    opensearch/OpenSearchWriter.cpp)

kde4_add_plugin(searchbarplugin ${searchbarplugin_PART_SRCS})

target_link_libraries(searchbarplugin ${KDE4_KPARTS_LIBS} ${QT_QTSCRIPT_LIBRARY} )

install(TARGETS searchbarplugin  DESTINATION ${PLUGIN_INSTALL_DIR} )

########### install files ###############

install( FILES searchbar.rc searchbar.desktop  DESTINATION  ${DATA_INSTALL_DIR}/konqueror/kpartplugins )

=== konqueror/client/CMakeLists.txt ===
########### kfmclient ###############

set(kfmclient_SRCS kfmclient.cpp )

qt4_add_dbus_interface( kfmclient_SRCS ../src/org.kde.Konqueror.Main.xml konq_main_interface )
qt4_add_dbus_interface( kfmclient_SRCS ../src/org.kde.Konqueror.MainWindow.xml konq_mainwindow_interface )


add_definitions(-DQT_NO_CAST_ASCII)

kde4_add_app_icon(kfmclient_SRCS "${KDE4_ICON_INSTALL_DIR}/oxygen/*/apps/system-file-manager.png")

if (WIN32)
    add_definitions(-Dkdemain=main)
    kde4_add_executable(kfmclient ${kfmclient_SRCS})
    target_link_libraries(kfmclient  ${KDE4_KIO_LIBS} )
else (WIN32)
    kde4_add_kdeinit_executable( kfmclient NOGUI ${kfmclient_SRCS})
    target_link_libraries(kdeinit_kfmclient  ${KDE4_KIO_LIBS} ${X11_LIBRARIES})
    install(TARGETS kdeinit_kfmclient  ${INSTALL_TARGETS_DEFAULT_ARGS} )
endif (WIN32)

install(TARGETS kfmclient ${INSTALL_TARGETS_DEFAULT_ARGS})

=== konqueror/sidebar/trees/dirtree_module/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/../../ # sidebar dir
  ${CMAKE_CURRENT_SOURCE_DIR}/../    # trees dir
  ${CMAKE_CURRENT_BINARY_DIR}/../            # trees dir
 )


########### next target ###############
set(konq_sidebartree_dirtree_SRCS dirtree_module.cpp dirtree_item.cpp ${libkonq_sidebar_tree_SRCS} )

kde4_add_plugin(konq_sidebartree_dirtree ${konq_sidebartree_dirtree_SRCS})

target_link_libraries(konq_sidebartree_dirtree  ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KPARTS_LIBS} konq konqsidebarplugin  )

install(TARGETS konq_sidebartree_dirtree  DESTINATION ${PLUGIN_INSTALL_DIR} )

=== debian/changelog ===
kde-baseapps (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:05 +0200

kde-baseapps (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 20 Sep 2014 23:49:39 +0200

kde-baseapps (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Update install file.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 24 Aug 2014 00:37:12 +0200

kde-baseapps (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 30 Jul 2014 16:16:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kde-baseapps
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -14,10 +13,11 @@
                cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kdelibs5-dev (>= 4:4.11),
+               libbaloowidgets-dev,
                libdlrestrictions-dev (>= 0.14),
                libglib2.0-dev,
-               libkactivities-dev (>= 4:4.13),
+               libkactivities-dev (>= 4:4.11),
                libkfilemetadata-dev,
                libphonon-dev (>= 4:4.3.0),
                libqimageblitz-dev (>= 1:0.0.4-2),
@@ -27,15 +27,12 @@
                libxt-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               zlib1g-dev,
-               libbaloowidgets-dev
+               zlib1g-dev
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-baseapps
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-baseapps
-X-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kde-baseapps.git
-X-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kde-baseapps.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kde-baseapps.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kde-baseapps.git
 
 Package: kde-baseapps
 Architecture: all
@@ -321,3 +318,11 @@
          ${misc:Depends},
          ${sameVersionDep:kdelibs5-dev:libkonqsidebarplugin4a}
 Description: konqueror sidebar plugin library development files
+ This package contains development headers for the Konqueror sidebar plugin
+ library.
+ .
+ This package is part of the KDE base applications module.
+
+Package: plasma-widget-folderview
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=kde-baseapps-dbg

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11,
         libqt4-sql-sqlite
Restrictions: rw-build-tree

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kde-baseapps-([\d.]+).tar.xz

## kde-baseapps 14.12.3

=== debian/changelog ===
kde-baseapps (4:14.12.3-0ubuntu3) vivid; urgency=medium

  * Drop unused kf5 packages (they have been split). Affects konsole and
    kwrite and kate.
  * Dolphin recommends konsole4-kpart for the embedded terminal

 -- Harald Sitter <sitter@kde.org>  Tue, 24 Mar 2015 12:41:53 +0100

kde-baseapps (4:14.12.3-0ubuntu2) vivid; urgency=medium

  * Add kubuntu_disable-failing-test.diff to disable test failing due to
    test environment favicontest

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Mar 2015 13:11:37 +0100

kde-baseapps (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:16:56 -0700

kde-baseapps (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:11:24 -0800

kde-baseapps (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:53:18 +0100

kde-baseapps (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * Merge with debian unstable, remaining changes: 
    - lower the konqueror priority to 30 as it's not our default.
    - Add kubuntu_folderview_livecd_directory.diff,
      kubuntu_folderwidget_drawing.diff and kubuntu_install_flash.diff.
  * New upstream release candidate.
    - install appdata files for kfind and konqueror
  * Fix watch urls for new release location.
  * Update Vcs urls for the new repository location.
  * Update the maintainer.
  * PPA build

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 28 Nov 2014 21:36:11 +0100

kde-baseapps (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 13:40:39 -0700

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: kde-baseapps
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Eshat Cakar <info@eshat.de>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: baloo-dev,
                cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kdelibs5-dev,
                libbaloowidgets-dev,
                libdlrestrictions-dev (>= 0.14),
                libglib2.0-dev,
@@ -31,8 +30,8 @@
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kde-baseapps.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kde-baseapps.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kde-baseapps.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kde-baseapps.git
 
 Package: kde-baseapps
 Architecture: all
@@ -71,7 +70,7 @@
 Section: utils
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: ruby
+Recommends: konsole4-kpart, ruby
 Suggests: kdesdk-dolphin-plugins
 Description: file manager
  Dolphin is the default file manager in the KDE Plasma Workspaces, intended
@@ -227,31 +226,6 @@
  .
  This package is part of the KDE base applications module.
 
-#Package: konsole
-#Architecture: any
-#Depends: ${shlibs:Depends}, ${misc:Depends}
-#Provides: x-terminal-emulator
-#Breaks: yakuake (<< 2.9.0)
-#Description: X terminal emulator
-# Konsole is a terminal emulator built on the KDE Platform. It can contain
-# multiple terminal sessions inside one window using detachable tabs.
-# .
-# Konsole supports powerful terminal features, such as customizable schemes,
-# saved sessions, and output monitoring.
-# .
-# This package is part of the KDE base applications module.
-
-#Package: kwrite
-#Section: editors
-#Architecture: any
-#Depends: ${shlibs:Depends}, ${misc:Depends}
-#Description: simple graphical text editor
-# KWrite is a simple text editor built on the KDE Platform. It uses the Kate
-# editor component, so it supports powerful features such as flexible syntax
-# highlighting, automatic indentation, and numerous other text tools.
-# .
-# This package is part of the KDE base applications module.
-
 Package: libkonq5abi1
 Section: libs
 Architecture: any
@@ -326,3 +300,29 @@
 Package: plasma-widget-folderview
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: plasma widget showing the content of a folder
+ This package contains the Folder View Plasma widget which is capable of
+ displaying and managing contents of any KDE supported location. It can be used
+ as a replacement for the traditional "desktop" folder concept in the main
+ Plasma shell, but it is a lot more flexible. Folder View is part of the
+ initial default KDE 4 desktop configuration.
+ .
+ This package is part of the KDE base applications module.
+
+Package: kde-baseapps-dbg
+Section: debug
+Architecture: any
+Priority: extra
+Depends: dolphin, kde-runtime-dbg, ${misc:Depends}
+Suggests: kde-baseapps (= ${source:Version})
+Breaks: kdebase-dbg (<< 4:4.7.2)
+Replaces: kdebase-dbg (<< 4:4.7.2)
+Description: debugging symbols for the KDE base applications module
+ This package contains debugging files used to investigate problems with
+ binaries included in the KDE base applications module.
+
+Package: kdebase-dbg
+Section: oldlibs
+Architecture: all
+Priority: extra
+Depends: kde-baseapps-dbg, ${misc:Depends}

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kde-baseapps-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kde-baseapps-([\d.]+).tar.xz

## kde-baseapps 15.08.2

=== debian/changelog ===
kde-baseapps (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 13 Oct 2015 13:56:19 -0700

kde-baseapps (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New Upstream Release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 17:15:00 +0100

kde-baseapps (4:15.08.0-0ubuntu6) wily; urgency=medium

  * Remove old build-deps on libbaloowidgets-dev libkactivities-dev
    baloo-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 01 Sep 2015 21:19:52 +0100

kde-baseapps (4:15.08.0-0ubuntu5) wily; urgency=medium

  * Fix breaks and replace to kde-baseapps-data << 15.08 rather than 15.10

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 01 Sep 2015 21:16:56 +0100

kde-baseapps (4:15.08.0-0ubuntu4) wily; urgency=medium

  * Make dolphin4 breaks&replace kde-baseapps-data << 15.10 as it contains
    data files that previously lived in that package.

 -- Harald Sitter <sitter@kde.org>  Tue, 01 Sep 2015 10:32:11 +0200

kde-baseapps (4:15.08.0-0ubuntu3) wily; urgency=medium

  * Add kubuntu_ignore-tests.diff to ignore tests failing due to plasma
    5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 17:35:16 +0100

kde-baseapps (4:15.08.0-0ubuntu2) wily; urgency=medium

  * Revert libkonq5abi2 to libkonq5abi1
    + This is because there was no actual symbol change, so the transition
      is pretty useless and pointless work
    + Revert package name change
    + break&replace the abi2 version of lower versions
    + Refresh symbol dump based on what we original had before the version
      bump

 -- Harald Sitter <sitter@kde.org>  Mon, 31 Aug 2015 13:53:52 +0200

kde-baseapps (4:15.08.0-0ubuntu1) wily; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Non-maintainer upload.
  * Update symbols files, mark as optional a few symbols gone with GCC
    5.

  [ Jonathan Riddell ]
  * New upstream beta release
  * libkonq5abi1 now libkonq5abi2 due to ABI change
  * Add back dolphin4 package, for use with konqueror

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 20 Aug 2015 20:23:13 +0000

kde-baseapps (4:15.04.2-0ubuntu1) wily; urgency=medium

  * New upstream release 
  * wrap-and-sort 
  * Remove patch applied upstream:
    upstream_Use-user-places.xbel-instead-of-bookmarks.xml-in-pla.patch 
  * Add missing files. 
  * Fix install file. 
  * Add missing usr/lib/libdolphinprivate.so 
  * Force rebuild with new kdelibs. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 09 Jun 2015 18:47:48 +0200

kde-baseapps (4:14.12.3-0ubuntu3.1) vivid; urgency=medium

  * Fix dolphin losing places bookmarks.
    + Add patch
      upstream_Use-user-places.xbel-instead-of-bookmarks.xml-in-pla.patch to
      force dolphin to only use the new user-places.xbel file rather than the
      legacy kfileplaces bookmarks file.  LP: #1422469

 -- Harald Sitter <sitter@kde.org>  Mon, 04 May 2015 11:04:31 +0200

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,12 @@
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: baloo-dev,
-               cmake,
+Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
-               libbaloowidgets-dev,
                libdlrestrictions-dev (>= 0.14),
                libglib2.0-dev,
-               libkactivities-dev (>= 4:4.11),
                libkfilemetadata-dev,
                libphonon-dev (>= 4:4.3.0),
                libqimageblitz-dev (>= 1:0.0.4-2),
@@ -27,7 +24,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kde-baseapps.git/
@@ -35,8 +32,7 @@
 
 Package: kde-baseapps
 Architecture: all
-Depends: dolphin (>= ${source:Version}),
-         kde-baseapps-bin (>= ${source:Version}),
+Depends: kde-baseapps-bin (>= ${source:Version}),
          kdepasswd (>= ${source:Version}),
          kfind (>= ${source:Version}),
          konqueror (>= ${source:Version}),
@@ -66,27 +62,6 @@
  This transitional package takes care of pulling in the new kde-baseapps
  package and can safely be removed after installation.
 
-Package: dolphin
-Section: utils
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: konsole4-kpart, ruby
-Suggests: kdesdk-dolphin-plugins
-Description: file manager
- Dolphin is the default file manager in the KDE Plasma Workspaces, intended
- to be both powerful and easy to use.
- .
- Features include:
-   Customisable sidebars
-   "Breadcrumb" navigation
-   View properties remembered for each folder
-   Split views
-   Network transparency
-   Undo/redo functionality
-   Ratings, comments, and tags
- .
- This package is part of the KDE base applications module.
-
 Package: kde-baseapps-bin
 Architecture: any
 Depends: kde-baseapps-data (= ${source:Version}),
@@ -140,6 +115,17 @@
  .
  This package is part of the KDE base applications module.
 
+Package: dolphin4
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: kde-baseapps-data (<< 4:15.08.0)
+Replaces: kde-baseapps-data (<< 4:15.08.0)
+Description: file browser
+ Dolphin file browser, this kdelibs4 build is mainly for use with
+ Konqueror.
+ .
+ This package is part of the KDE base applications module.
+
 Package: konqueror
 Section: web
 Architecture: any
@@ -150,7 +136,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: konq-plugins (>= 4:4.1~)
-Recommends: dolphin,
+Recommends: dolphin4,
             kfind,
             konqueror-nsplugins (= ${binary:Version}),
             kpart-webkit
@@ -233,6 +219,8 @@
 Depends: libkonq-common (>= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: libkonq5abi2 (<< 4:15.08.0-0ubuntu2~)
+Replaces: libkonq5abi2 (<< 4:15.08.0-0ubuntu2~)
 Description: core libraries for Konqueror
  This package contains libraries used by several KDE 4 applications,
  particularly Konqueror.
@@ -313,7 +301,7 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: dolphin, kde-runtime-dbg, ${misc:Depends}
+Depends: kde-runtime-dbg, ${misc:Depends}
 Suggests: kde-baseapps (= ${source:Version})
 Breaks: kdebase-dbg (<< 4:4.7.2)
 Replaces: kdebase-dbg (<< 4:4.7.2)
@@ -326,3 +314,6 @@
 Architecture: all
 Priority: extra
 Depends: kde-baseapps-dbg, ${misc:Depends}
+Description: Transitional package for kde-baseapps-dbg
+ This transitional package takes care of pulling in the new kde-baseapps-dbg
+ package and can safely be removed after installation.
